Bug 196500 - Please include njb support in banshee
Please include njb support in banshee
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: banshee (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
http://www.banshee-project.org/Subpro...
: Reopened
Depends On:
Blocks: 188218
  Show dependency treegraph
 
Reported: 2006-06-23 15:30 EDT by Linus Walleij
Modified: 2008-01-03 18:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-28 16:14:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Linus Walleij 2006-06-23 15:30:53 EDT
Would be nice if you could package njb-sharp into this.
I have libnjb in FC already so all requirements should
be easily met.

I could try packaging it myself but my knowledge of C#
is zero and nothing so could harm myself. If you do it
I'll review the package, having written large parts of
libnjb and all that.
Comment 1 Michel Alexandre Salim 2006-07-11 23:09:29 EDT
Is this why Banshee hasn't been updated to 0.10.10? From the release notes it
appears that njb-sharp is now required to build Banshee.
Comment 2 Linus Walleij 2006-07-30 03:53:45 EDT
I think it is determined by ./configure switches at build time.
You can enable both njb and MTP integration at build time in the
CVS head version nowadays.
Comment 3 Linus Walleij 2006-08-23 04:46:37 EDT
Ping?
Comment 4 Christopher Aillon 2006-08-26 05:13:26 EDT
As I said when I first added banshee to extras, I have an ipod, therefore I will
maintain the ipod stuff.  I don't have any other music players, meaning nothing
that makes njb at all useful to me, and I will not maintain code I can't test. 
If someone wants to package and maintain njb-sharp, feel free, and I will
configure banshee to build against it.

Regardless, this is not something that the banshee maintainer ought to be
required to fix.  File a package request bug for njb-sharp, not a banshee bug,
though I'm unsure where those should go.  And then when njb-sharp is added, file
a bug for banshee to build against it.  As a bug filed against banshee, this is
WONTFIX.
Comment 5 Linus Walleij 2006-08-30 17:51:48 EDT
OK fair enough, here is a review request for njb-sharp: bug 204700
Comment 6 Alex Lancaster 2006-09-09 08:19:51 EDT
Just FYI, NJB and iPod support is now optional, according to:

http://banshee-project.org/Banshee_Source

 "If you have an NJB Digital Media Player or an iPod, you may want to build      
  Banshee with support for your device. However, this is now optional."

You can build this without njb support using this configure option

--disable-njb: Disable the NJB features because you don't have an NJB device or
expect to have one to use on this version.

Comment 7 Linus Walleij 2006-12-02 16:37:19 EST
I have now released packages for njb-sharp FC-6 and devel.
Please pick up these dependencies... If it autodetects during
build I guess just:

BuildRequires: njb-sharp-devel

should be all we need.
Comment 8 Christopher Brown 2007-03-26 15:13:36 EDT
Can this bug now be closed?
Comment 9 Linus Walleij 2007-03-26 18:42:22 EDT
No, why? njb-sharp is there, banshee still doesn't build against it.

Christopher wrote:

> And then when njb-sharp is added, file a bug for banshee to build against it.

this is that the bug...
Comment 10 Christopher Aillon 2007-03-30 16:15:06 EDT
Can someone provide a minimal patch against CVS for making banshee work with njb
support and attach it to the bug?

http://cvs.fedora.redhat.com/extras.shtml for info on how to do so, even if you
don't have an extras account.
Comment 11 Christopher Aillon 2007-12-27 18:19:52 EST
Moving to NEEDINFO.  Would love to help with this but I can't get any
confirmation of what is needed in the spec file to make this work.  If someone
wants this to work, please help by letting me know what I need to do in order to
enable this support.  Thanks.
Comment 12 Linus Walleij 2007-12-28 16:14:27 EST
Yeah well, I've basically given up on this, Banshee was too shaky for me
so I converted myself to Amarok... I consider retiring njb-sharp as well
and close this ticket once and for all as WONTFIX.

Input welcome, someone wants to take it over?

Note You need to log in before you can comment on or make changes to this bug.